package it.univr.prog.bioinfo.test;

import it.univr.prog.bioinfo.pizzeria.Pizzeria;
import it.univr.prog.bioinfo.pizzeria.eccezioni.IngredienteEsistente;
import it.univr.prog.bioinfo.pizzeria.eccezioni.IngredienteNonEsistente;
import it.univr.prog.bioinfo.pizzeria.eccezioni.OrdineNonEsistente;
import it.univr.prog.bioinfo.pizzeria.eccezioni.PizzaEsistente;
import it.univr.prog.bioinfo.pizzeria.eccezioni.PizzaNonEsistente;

public class TestPizzeria {

	public static void main(String[] args) {
		Pizzeria bellaNapoli = new Pizzeria();

		try {
			bellaNapoli.aggiungiIngrediente("pasta",
					"senza non si fa la pizza", 1.0);
			bellaNapoli.aggiungiIngrediente("mozzarella",
					"bella filante e fumante", 1.0);
			bellaNapoli.aggiungiIngrediente("pomodoro",
					"dai pomodori veraci del profondo sud", 0.5);
			bellaNapoli.aggiungiIngrediente("prosciutto cotto",
					"solo grancosciotto", 1.0);
			bellaNapoli.aggiungiIngrediente("mozzarella di bufala",
					"fresca di giornata dalle nostre bufale", 1.0);
			bellaNapoli.aggiungiIngrediente("salamino",
					"piccante come piace a noi...", 1.0);
		} catch (IngredienteEsistente e) {
			System.out.println("problema nell'inserimento dell'ingrediente.");
			System.out.println(e.getMessage());
		}

		try {
			bellaNapoli.aggiungiPizza("margherita", "pasta", "mozzarella",
					"pomodoro");
			bellaNapoli.aggiungiPizza("verace", "pasta", "pomodoro",
					"mozzarella di bufala");
			bellaNapoli.aggiungiPizza("diavola", "pasta", "pomodoro",
					"mozzarella", "salamino");
			bellaNapoli.aggiungiPizza("prosciutto", "pasta", "mozzarella",
					"pomodoro", "prosciutto cotto");
		} catch (PizzaEsistente e) {
			System.out.println("problema nell'inserimento delle pizze");
			e.getMessage();
		} catch (IngredienteNonEsistente e) {
			System.out.println("manca qualche ingrediente per le pizza");
			System.out.println(e.getMessage());
		}
		System.out.println(bellaNapoli.menuPizze());

		// inizializziamo gli ordini a -1 per capire se qualcosa va storto
		int ordineGianni = -1;
		int ordineGigi = -1;
		try {
			ordineGianni = bellaNapoli.ordinaPizze("margherita", "verace",
					"margherita", "diavola", "verace");
			ordineGigi = bellaNapoli.ordinaPizze("diavola", "verace",
					"prosciutto");
		} catch (PizzaNonEsistente e) {
			System.out.println("manca qualche pizza: ");
			System.out.println(e.getMessage());
		}

		System.out.println("ecco l'ordine numero " + ordineGianni);
		try {
			System.out.println(bellaNapoli.generaScontrino(ordineGianni));
		} catch (OrdineNonEsistente e) {
			System.out.print("riocontrolla l'ordine: ");
			System.out.println(e.getMessage());
		}

		System.out.println("ecco l'ordine numero " + ordineGigi);
		try {
			System.out.println(bellaNapoli.generaScontrino(ordineGigi));
		} catch (OrdineNonEsistente e) {
			System.out.println("riocontrolla l'ordine");
			System.out.println(e.getMessage());
		}
	}
}